package com.ynet.life.platform.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.platform.limit.a;
import com.ynet.life.platform.limit.j;
import java.sql.Connection;

/* loaded from: com_ynet_life_platform_action.jar:com/ynet/life/platform/action/PubLimitCstTemplateProcessAction.class */
public class PubLimitCstTemplateProcessAction extends LifeJDBCAction {
    private String actionType;
    private String bankIdField;
    private String templateField;
    private String templateNameField;
    private String scopeField;
    private String currencyTypeField;
    private String singleLimitField;
    private String daySumLimitField;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Throwable, java.sql.Connection] */
    public String execute(Context context) throws GENEException {
        ?? connection = LifeDBAccess.getConnection(context);
        try {
            try {
                if ("Q".equals(this.actionType)) {
                    executeQuery(context, connection);
                } else if ("U".equals(this.actionType)) {
                    executeUpdate(context, connection);
                } else if ("I".equals(this.actionType)) {
                    executeInsert(context, connection);
                }
                LifeDBAccess.releaseConnection((Connection) connection);
                return "0";
            } catch (TranFailException e) {
                throw connection;
            }
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection((Connection) connection);
            throw th;
        }
    }

    private void executeQuery(Context context, Connection connection) throws GENEException {
        j info = new j();
        info.a((String) context.getDataValue(this.bankIdField));
        info.b((String) context.getDataValue(this.templateField));
        a.a(connection, info);
        String templateName = info.c();
        String scope = info.d();
        String currencyType = info.e();
        String singleLimit = info.f();
        String daySumLimit = info.g();
        trySetContextValue(context, this.templateNameField, templateName);
        trySetContextValue(context, this.scopeField, scope);
        trySetContextValue(context, this.currencyTypeField, currencyType);
        trySetContextValue(context, this.singleLimitField, singleLimit);
        trySetContextValue(context, this.daySumLimitField, daySumLimit);
    }

    private void executeUpdate(Context context, Connection connection) throws GENEException {
        j info = new j();
        info.f((String) context.getDataValue(this.singleLimitField));
        info.g((String) context.getDataValue(this.daySumLimitField));
        info.a((String) context.getDataValue(this.bankIdField));
        info.b((String) context.getDataValue(this.templateField));
        a.b(connection, info);
    }

    private void executeInsert(Context context, Connection connection) throws GENEException {
        j info = new j();
        String bankId = (String) context.getDataValue(this.bankIdField);
        String template = (String) context.getDataValue(this.templateField);
        String templateName = (String) context.getDataValue(this.templateNameField);
        String scope = (String) context.getDataValue(this.scopeField);
        String currencyType = (String) context.getDataValue(this.currencyTypeField);
        String singleLimit = (String) context.getDataValue(this.singleLimitField);
        String daySumLimit = (String) context.getDataValue(this.daySumLimitField);
        info.a(bankId);
        info.b(template);
        info.c(templateName);
        info.d(scope);
        info.e(currencyType);
        info.f(singleLimit);
        info.g(daySumLimit);
        a.c(connection, info);
    }

    private void trySetContextValue(Context context, String fieldName, String value) throws GENEException {
        if (fieldName == null || "".equals(fieldName)) {
            return;
        }
        context.setDataValue(fieldName, value);
    }

    public String getActionType() {
        return this.actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    public String getBankIdField() {
        return this.bankIdField;
    }

    public void setBankIdField(String bankIdField) {
        this.bankIdField = bankIdField;
    }

    public String getTemplateField() {
        return this.templateField;
    }

    public void setTemplateField(String templateField) {
        this.templateField = templateField;
    }

    public String getTemplateNameField() {
        return this.templateNameField;
    }

    public void setTemplateNameField(String templateNameField) {
        this.templateNameField = templateNameField;
    }

    public String getScopeField() {
        return this.scopeField;
    }

    public void setScopeField(String scopeField) {
        this.scopeField = scopeField;
    }

    public String getCurrencyTypeField() {
        return this.currencyTypeField;
    }

    public void setCurrencyTypeField(String currencyTypeField) {
        this.currencyTypeField = currencyTypeField;
    }

    public String getSingleLimitField() {
        return this.singleLimitField;
    }

    public void setSingleLimitField(String singleLimitField) {
        this.singleLimitField = singleLimitField;
    }

    public String getDaySumLimitField() {
        return this.daySumLimitField;
    }

    public void setDaySumLimitField(String daySumLimitField) {
        this.daySumLimitField = daySumLimitField;
    }
}
